# $Revision: 1.9 $, $Date: 2004/11/03 20:48:11 $
Summary:	Shooting game
Summary(pl):	Strzelanka
Name:		shootingstar
Version:	1.2.0
Release:	3
License:	GPL v2
Group:		X11/Applications/Games
Source0:	http://www.2ndpoint.fi/ss/%{name}-%{version}.tar.gz
# Source0-md5:	6cd6e11ec00be95a0a5b5e4cd3649ace
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gcc34.patch
URL:		http://www.2ndpoint.fi/ss/
BuildRequires:	OpenGL-devel 
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	automake
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Shooting Star is a 2D action game. The goal is to clear all levels of
bad guys and make the World a better place.

%description -l pl
Shooting Star jest dwuwymiarow gr akcji, ktrej celem jest
oczyszczenie wszystkich poziomw ze zych postaci i sprawienie by
wiat sta si lepszym miejscem.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shootingstar.spec,v $
Revision 1.9  2004/11/03 20:48:11  ankry
- properly copy config.sub

Revision 1.8  2004/11/03 20:43:35  ankry
- rel. 3

Revision 1.7  2004/11/03 20:37:08  qboosh
- BR: automake

Revision 1.6  2004/11/03 20:36:15  krolik
- amd64 workaround with config.sub

Revision 1.5  2004/11/03 11:47:26  paladine
- rel 2 for fixed desktop file

Revision 1.4  2004/06/30 16:10:54  grzegol
- added gcc34 patch

Revision 1.3  2004/03/07 21:04:22  grzegol
- added _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.2  2004/02/21 18:39:07  yogib
- added desktop and icon, rel 1

Revision 1.1  2004/02/21 17:29:36  yogib
- added, nfy
